@import "./../brutalist.css";
    /* TODO: combine CSS on build */

/* TODO: this means i can't have a normal ul and the photo grid on one page */
main ul li a {
    padding: 1rem;
    padding-bottom: 0.5rem;
        /* extra space is for 0.5rem padding-top in figcaption */

    height: 100%;
}

main ul li {
    margin: 0;

    width: min(100%, 40ch);
}

main ul li:nth-child(odd) {
    grid-column: 1;
}

main ul li:nth-child(odd) {
    margin-left: auto;
}

main ul li:nth-child(even) {
    margin-right: auto;
}

main ul {
    display: grid;
    grid-template: auto / repeat(auto-fit, minmax(min(260px, 100%), 1fr));
    grid-auto-rows: 1fr;
    gap: 1rem;
}

main figure {
    aspect-ratio: 4 / 3; /* all images in grid should be 4:3; mistake if not */
    margin: 0;
    padding: 0;
}

/* TODO: center caption vertically */
/* TODO: consider black background */
main figure figcaption {
    display: flex;
    align-items: center;
    margin: auto;
    padding-top: 0.5rem;
    width: fit-content;
    text-align: center;
        /* TODO: overflow ellipsis on three lines */
}

img {
    border: 1rem solid black;
    box-sizing: border-box;
    display: block;
    height: 100%;
    width: 100%;
}
